
#include <cuda.h>
#include "kernels.h"

__device__ float px_gpu;
__device__ float py_gpu;

__global__ void setParDevice(float x, float y)
{ 
	px_gpu = x;
	py_gpu = y;
}
__global__ void moveParDevice(float dxdt)
{ 
	px_gpu = px_gpu + dxdt;
	if(px_gpu>1) px_gpu = px_gpu - 2;
}

void call_setParDevice(float x, float y)
{
	setParDevice <<< 1, 1 >>> (x, y);
}

void call_movepar(float dxdt)
{
	moveParDevice <<< 1, 1 >>> (dxdt);
}